Skip to main content
Platform O&M/Tag Operations
GETTag OperationsSince 0.6SynchronousAuth Required

QuerySystemTag

QuerySystemTag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • inherentBooleanRequired

      The inherent system tag.

    • uuidStringRequired

      The resource UUID.

    • resourceUuidStringRequired

      The resource UUID. If specified, the system will not allocate randomly a UUID to the resource.

    • resourceTypeStringRequired

      The resource type, which must be specified when you create a tag.

    • tagStringRequired

      The tag string.

    • typeStringRequired

      The reserved field for internal use.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/system-tags

/zstack/v1/system-tags

Operation ID

QuerySystemTag

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/system-tags' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "inherent": false, "uuid": "0bba7cb618314646aea4e70b9be3bfea", "resourceType": "HostVO", "tag": "reservedMemory::1G", "type": "System", "createDate": "May 11, 2017 1:22:40 PM", "lastOpDate": "May 11, 2017 1:22:40 PM" } ] }

Change History

This API has no change history records yet.

View all change history